#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: rebase
version: 1.2.2
id: rebase-1.2.2-IhmtjRPtS1lGUr65U4U4Hc
key: rebase-1.2.2-IhmtjRPtS1lGUr65U4U4Hc
license: MIT
copyright: (c) 2016, Nikita Volkov
maintainer: Nikita Volkov <nikita.y.volkov@mail.ru>
homepage: https://github.com/nikita-volkov/rebase
synopsis: A more progressive alternative to the "base" package
description:
    This package is intended for those who are tired of keeping
    long lists of dependencies to the same essential libraries in each package
    as well as the endless imports of the same APIs all over again.
    It also supports the modern tendencies in the language.
    .
    To solve those problems this package does the following:
    .
    * Reexport the original APIs under the \"Rebase\" namespace.
    .
    * Export all the possible non-conflicting symbols from the \"Rebase.Prelude\" module.
    .
    * Give priority to the modern practices in the conflicting cases.
    .
    The policy behind the package is only to reexport the non-ambiguous
    and non-controversial APIs, which the community has obviously settled on.
    The package is intended to rapidly evolve with the contribution from the community,
    with the missing features being added with pull-requests.
author: Nikita Volkov <nikita.y.volkov@mail.ru>
exposed: True
indefinite: False
exposed-modules:
    Rebase.Contravariant.Extras Rebase.Control.Applicative
    Rebase.Control.Applicative.Backwards
    Rebase.Control.Applicative.Lift Rebase.Control.Arrow
    Rebase.Control.Category Rebase.Control.Concurrent
    Rebase.Control.Concurrent.Chan Rebase.Control.Concurrent.MVar
    Rebase.Control.Concurrent.QSem Rebase.Control.Concurrent.QSemN
    Rebase.Control.Concurrent.STM Rebase.Control.Concurrent.STM.TArray
    Rebase.Control.Concurrent.STM.TBQueue
    Rebase.Control.Concurrent.STM.TChan
    Rebase.Control.Concurrent.STM.TMVar
    Rebase.Control.Concurrent.STM.TQueue
    Rebase.Control.Concurrent.STM.TSem
    Rebase.Control.Concurrent.STM.TVar Rebase.Control.DeepSeq
    Rebase.Control.Exception Rebase.Control.Exception.Base
    Rebase.Control.Monad Rebase.Control.Monad.Cont
    Rebase.Control.Monad.Cont.Class Rebase.Control.Monad.Error.Class
    Rebase.Control.Monad.Fail Rebase.Control.Monad.Fix
    Rebase.Control.Monad.IO.Class Rebase.Control.Monad.Identity
    Rebase.Control.Monad.List Rebase.Control.Monad.RWS
    Rebase.Control.Monad.RWS.Class Rebase.Control.Monad.RWS.Lazy
    Rebase.Control.Monad.RWS.Strict Rebase.Control.Monad.Reader
    Rebase.Control.Monad.Reader.Class Rebase.Control.Monad.ST
    Rebase.Control.Monad.ST.Lazy Rebase.Control.Monad.ST.Lazy.Safe
    Rebase.Control.Monad.ST.Lazy.Unsafe Rebase.Control.Monad.ST.Safe
    Rebase.Control.Monad.ST.Strict Rebase.Control.Monad.ST.Unsafe
    Rebase.Control.Monad.STM Rebase.Control.Monad.Signatures
    Rebase.Control.Monad.State Rebase.Control.Monad.State.Class
    Rebase.Control.Monad.State.Lazy Rebase.Control.Monad.State.Strict
    Rebase.Control.Monad.Trans Rebase.Control.Monad.Trans.Class
    Rebase.Control.Monad.Trans.Cont Rebase.Control.Monad.Trans.Except
    Rebase.Control.Monad.Trans.Identity Rebase.Control.Monad.Trans.List
    Rebase.Control.Monad.Trans.Maybe Rebase.Control.Monad.Trans.RWS
    Rebase.Control.Monad.Trans.RWS.Lazy
    Rebase.Control.Monad.Trans.RWS.Strict
    Rebase.Control.Monad.Trans.Reader Rebase.Control.Monad.Trans.State
    Rebase.Control.Monad.Trans.State.Lazy
    Rebase.Control.Monad.Trans.State.Strict
    Rebase.Control.Monad.Trans.Writer
    Rebase.Control.Monad.Trans.Writer.Lazy
    Rebase.Control.Monad.Trans.Writer.Strict
    Rebase.Control.Monad.Writer Rebase.Control.Monad.Writer.Class
    Rebase.Control.Monad.Writer.Lazy Rebase.Control.Monad.Writer.Strict
    Rebase.Control.Monad.Zip Rebase.Data.Biapplicative
    Rebase.Data.Bifoldable Rebase.Data.Bifunctor
    Rebase.Data.Bifunctor.Apply Rebase.Data.Bifunctor.Biff
    Rebase.Data.Bifunctor.Clown Rebase.Data.Bifunctor.Flip
    Rebase.Data.Bifunctor.Join Rebase.Data.Bifunctor.Joker
    Rebase.Data.Bifunctor.Product Rebase.Data.Bifunctor.Tannen
    Rebase.Data.Bifunctor.Wrapped Rebase.Data.Bitraversable
    Rebase.Data.Bits Rebase.Data.Bool Rebase.Data.ByteString
    Rebase.Data.ByteString.Builder Rebase.Data.ByteString.Builder.Extra
    Rebase.Data.ByteString.Builder.Internal
    Rebase.Data.ByteString.Builder.Prim
    Rebase.Data.ByteString.Builder.Prim.Internal
    Rebase.Data.ByteString.Builder.Scientific
    Rebase.Data.ByteString.Char8 Rebase.Data.ByteString.Internal
    Rebase.Data.ByteString.Lazy Rebase.Data.ByteString.Lazy.Builder
    Rebase.Data.ByteString.Lazy.Builder.ASCII
    Rebase.Data.ByteString.Lazy.Builder.Extras
    Rebase.Data.ByteString.Lazy.Char8
    Rebase.Data.ByteString.Lazy.Internal Rebase.Data.ByteString.Short
    Rebase.Data.ByteString.Short.Internal Rebase.Data.ByteString.Unsafe
    Rebase.Data.Char Rebase.Data.Coerce Rebase.Data.Complex
    Rebase.Data.DList Rebase.Data.Data Rebase.Data.Dynamic
    Rebase.Data.Either Rebase.Data.Either.Combinators
    Rebase.Data.Either.Validation Rebase.Data.Eq Rebase.Data.Fixed
    Rebase.Data.Foldable Rebase.Data.Function Rebase.Data.Functor
    Rebase.Data.Functor.Alt Rebase.Data.Functor.Apply
    Rebase.Data.Functor.Bind Rebase.Data.Functor.Bind.Class
    Rebase.Data.Functor.Bind.Trans Rebase.Data.Functor.Classes
    Rebase.Data.Functor.Compose Rebase.Data.Functor.Constant
    Rebase.Data.Functor.Contravariant
    Rebase.Data.Functor.Contravariant.Compose
    Rebase.Data.Functor.Contravariant.Divisible
    Rebase.Data.Functor.Extend Rebase.Data.Functor.Identity
    Rebase.Data.Functor.Plus Rebase.Data.Functor.Product
    Rebase.Data.Functor.Reverse Rebase.Data.Functor.Sum
    Rebase.Data.Graph Rebase.Data.Groupoid Rebase.Data.HashMap.Lazy
    Rebase.Data.HashMap.Strict Rebase.Data.HashSet Rebase.Data.Hashable
    Rebase.Data.IORef Rebase.Data.Int Rebase.Data.IntMap
    Rebase.Data.IntMap.Lazy Rebase.Data.IntMap.Strict
    Rebase.Data.IntSet Rebase.Data.Isomorphism Rebase.Data.Ix
    Rebase.Data.List Rebase.Data.List.NonEmpty Rebase.Data.List1
    Rebase.Data.Map Rebase.Data.Map.Lazy Rebase.Data.Map.Strict
    Rebase.Data.Maybe Rebase.Data.Monoid Rebase.Data.Ord
    Rebase.Data.Profunctor Rebase.Data.Profunctor.Choice
    Rebase.Data.Profunctor.Strong Rebase.Data.Profunctor.Unsafe
    Rebase.Data.Proxy Rebase.Data.Ratio Rebase.Data.STRef
    Rebase.Data.STRef.Lazy Rebase.Data.STRef.Strict
    Rebase.Data.Scientific Rebase.Data.Semigroup
    Rebase.Data.Semigroup.Bifoldable
    Rebase.Data.Semigroup.Bitraversable Rebase.Data.Semigroup.Foldable
    Rebase.Data.Semigroup.Foldable.Class
    Rebase.Data.Semigroup.Traversable
    Rebase.Data.Semigroup.Traversable.Class Rebase.Data.Semigroupoid
    Rebase.Data.Semigroupoid.Dual Rebase.Data.Semigroupoid.Ob
    Rebase.Data.Semigroupoid.Static Rebase.Data.Sequence
    Rebase.Data.Set Rebase.Data.String Rebase.Data.Text
    Rebase.Data.Text.Array Rebase.Data.Text.Encoding
    Rebase.Data.Text.Encoding.Error Rebase.Data.Text.Foreign
    Rebase.Data.Text.IO Rebase.Data.Text.Internal Rebase.Data.Text.Lazy
    Rebase.Data.Text.Lazy.Builder Rebase.Data.Text.Lazy.Builder.Int
    Rebase.Data.Text.Lazy.Builder.RealFloat
    Rebase.Data.Text.Lazy.Builder.Scientific
    Rebase.Data.Text.Lazy.Encoding Rebase.Data.Text.Lazy.IO
    Rebase.Data.Text.Lazy.Read Rebase.Data.Text.Read
    Rebase.Data.Text.Unsafe Rebase.Data.Time Rebase.Data.Time.Calendar
    Rebase.Data.Time.Calendar.Easter Rebase.Data.Time.Calendar.Julian
    Rebase.Data.Time.Calendar.MonthDay
    Rebase.Data.Time.Calendar.OrdinalDate
    Rebase.Data.Time.Calendar.WeekDate Rebase.Data.Time.Clock
    Rebase.Data.Time.Clock.POSIX Rebase.Data.Time.Clock.TAI
    Rebase.Data.Time.Format Rebase.Data.Time.LocalTime
    Rebase.Data.Traversable Rebase.Data.Traversable.Instances
    Rebase.Data.Tree Rebase.Data.Tuple Rebase.Data.Type.Bool
    Rebase.Data.Type.Coercion Rebase.Data.Type.Equality
    Rebase.Data.Typeable Rebase.Data.UUID Rebase.Data.Unique
    Rebase.Data.Vector Rebase.Data.Vector.Fusion.Stream.Monadic
    Rebase.Data.Vector.Fusion.Util Rebase.Data.Vector.Generic
    Rebase.Data.Vector.Generic.Base Rebase.Data.Vector.Generic.Mutable
    Rebase.Data.Vector.Generic.New Rebase.Data.Vector.Internal.Check
    Rebase.Data.Vector.Mutable Rebase.Data.Vector.Primitive
    Rebase.Data.Vector.Primitive.Mutable Rebase.Data.Vector.Storable
    Rebase.Data.Vector.Storable.Internal
    Rebase.Data.Vector.Storable.Mutable Rebase.Data.Vector.Unboxed
    Rebase.Data.Vector.Unboxed.Base Rebase.Data.Vector.Unboxed.Mutable
    Rebase.Data.Version Rebase.Data.Void Rebase.Data.Void.Unsafe
    Rebase.Data.Word Rebase.Debug.Trace Rebase.Foreign Rebase.Foreign.C
    Rebase.Foreign.C.Error Rebase.Foreign.C.String
    Rebase.Foreign.C.Types Rebase.Foreign.Concurrent
    Rebase.Foreign.ForeignPtr Rebase.Foreign.ForeignPtr.Safe
    Rebase.Foreign.ForeignPtr.Unsafe Rebase.Foreign.Marshal
    Rebase.Foreign.Marshal.Alloc Rebase.Foreign.Marshal.Array
    Rebase.Foreign.Marshal.Error Rebase.Foreign.Marshal.Pool
    Rebase.Foreign.Marshal.Safe Rebase.Foreign.Marshal.Unsafe
    Rebase.Foreign.Marshal.Utils Rebase.Foreign.Ptr Rebase.Foreign.Safe
    Rebase.Foreign.StablePtr Rebase.Foreign.Storable Rebase.GHC.Arr
    Rebase.GHC.Base Rebase.GHC.Char Rebase.GHC.Conc Rebase.GHC.Conc.IO
    Rebase.GHC.Conc.Signal Rebase.GHC.Conc.Sync
    Rebase.GHC.ConsoleHandler Rebase.GHC.Constants Rebase.GHC.Desugar
    Rebase.GHC.Enum Rebase.GHC.Environment Rebase.GHC.Err
    Rebase.GHC.Exception Rebase.GHC.Exts Rebase.GHC.Fingerprint
    Rebase.GHC.Fingerprint.Type Rebase.GHC.Float
    Rebase.GHC.Float.ConversionUtils Rebase.GHC.Float.RealFracMethods
    Rebase.GHC.Foreign Rebase.GHC.ForeignPtr Rebase.GHC.GHCi
    Rebase.GHC.Generics Rebase.GHC.IO Rebase.GHC.IO.Buffer
    Rebase.GHC.IO.BufferedIO Rebase.GHC.IO.Device
    Rebase.GHC.IO.Encoding Rebase.GHC.IO.Encoding.CodePage
    Rebase.GHC.IO.Encoding.Failure Rebase.GHC.IO.Encoding.Iconv
    Rebase.GHC.IO.Encoding.Latin1 Rebase.GHC.IO.Encoding.Types
    Rebase.GHC.IO.Encoding.UTF16 Rebase.GHC.IO.Encoding.UTF32
    Rebase.GHC.IO.Encoding.UTF8 Rebase.GHC.IO.Exception
    Rebase.GHC.IO.FD Rebase.GHC.IO.Handle Rebase.GHC.IO.Handle.FD
    Rebase.GHC.IO.Handle.Internals Rebase.GHC.IO.Handle.Text
    Rebase.GHC.IO.Handle.Types Rebase.GHC.IO.IOMode Rebase.GHC.IOArray
    Rebase.GHC.IORef Rebase.GHC.Int Rebase.GHC.List Rebase.GHC.MVar
    Rebase.GHC.Num Rebase.GHC.PArr Rebase.GHC.Pack Rebase.GHC.Profiling
    Rebase.GHC.Ptr Rebase.GHC.Read Rebase.GHC.Real Rebase.GHC.ST
    Rebase.GHC.STRef Rebase.GHC.Show Rebase.GHC.Stable Rebase.GHC.Stack
    Rebase.GHC.Stats Rebase.GHC.Storable Rebase.GHC.TopHandler
    Rebase.GHC.TypeLits Rebase.GHC.Unicode Rebase.GHC.Weak
    Rebase.GHC.Word Rebase.Numeric Rebase.Prelude Rebase.System.CPUTime
    Rebase.System.Console.GetOpt Rebase.System.Environment
    Rebase.System.Exit Rebase.System.IO Rebase.System.IO.Error
    Rebase.System.IO.Unsafe Rebase.System.Info Rebase.System.Mem
    Rebase.System.Mem.StableName Rebase.System.Mem.Weak
    Rebase.System.Posix.Internals Rebase.System.Posix.Types
    Rebase.System.Timeout Rebase.Text.ParserCombinators.ReadP
    Rebase.Text.ParserCombinators.ReadPrec Rebase.Text.Printf
    Rebase.Text.Read Rebase.Text.Read.Lex Rebase.Text.Show
    Rebase.Text.Show.Functions Rebase.Unsafe.Coerce
abi: d0562c8b146a45186451441ed86eeb39
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/rebase-1.2.2
library-dirs: /usr/lib/ghc-8.2.2/site-local/rebase-1.2.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/rebase-1.2.2
hs-libraries: HSrebase-1.2.2-IhmtjRPtS1lGUr65U4U4Hc
depends:
    stm-2.4.4.1-E6EjE1bszQZJ9orPdUNxjw
    hashable-1.2.6.1-6LeHpYZ4iRgEy9P36eCQfR
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA containers-0.5.10.2
    unordered-containers-0.2.8.0-YOGDwOwys3HjU5i3g27KB
    bytestring-0.10.8.2 text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj
    scientific-0.3.5.2-IWSZVQGiPwx2zNrAPvmBEO
    uuid-1.3.13-BTxHnfGbfLz22CSMJVtnA5
    dlist-0.8.0.3-3sLvqWTqZxIC2tgTx4QBVJ
    void-0.7.2-FiGeS4PZxPp8gUDrtvjFKC time-1.8.0.2
    bifunctors-5.5-I5NPfEm1YkfLL7OlGNPVHa
    profunctors-5.2.2-7xdqtalNq9T4ZPkM2PvhzG
    contravariant-1.4.1-13GQTLKwlDGjgc4QL8uyp
    contravariant-extras-0.3.3.1-BVNbyTNAeVrACExO54I6tj
    semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7
    semigroupoids-5.2.2-6gyDXeDCUP0EyLlIzFD0yC deepseq-1.4.3.0
    transformers-0.5.2.0 mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    either-5-7fWZezLWmkr615wDor4Yxh
    base-prelude-1.2.0.1-Jp4fn0lH8rP2DHoIPVF2qm base-4.10.1.0
abi-depends: stm-2.4.4.1-E6EjE1bszQZJ9orPdUNxjw=63c518eabfb1b430d925fb35cc544a7c
             hashable-1.2.6.1-6LeHpYZ4iRgEy9P36eCQfR=e2c3f4e35e60b5547d3e7a8c501ca6de
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=137c9db50bf637e10c6e6dd9e685ce59
             containers-0.5.10.2=0f9db0d1b935cacba444aac19f4cb54d
             unordered-containers-0.2.8.0-YOGDwOwys3HjU5i3g27KB=1ae4406c8abf6f6a305796d42b6e1b7b
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             text-1.2.3.0-6107d52Rn3mLJ1xgqHMkbj=b7726d921cac66adc5c8f9f66f5b25f0
             scientific-0.3.5.2-IWSZVQGiPwx2zNrAPvmBEO=6e538d6297179a35ae8f400426125b37
             uuid-1.3.13-BTxHnfGbfLz22CSMJVtnA5=ca9edcbc0c42d88f276468b6623c5dc2
             dlist-0.8.0.3-3sLvqWTqZxIC2tgTx4QBVJ=478549693a66e61496f47353d337a8f9
             void-0.7.2-FiGeS4PZxPp8gUDrtvjFKC=a5672067c7a1184b41916f0fb2d0c330
             time-1.8.0.2=d7392e85059cb108aeb68d6e24815970
             bifunctors-5.5-I5NPfEm1YkfLL7OlGNPVHa=e4edeaa04d6b3dd94fb35ab43ef20c35
             profunctors-5.2.2-7xdqtalNq9T4ZPkM2PvhzG=f865b981d6746af325fcd14c6830f075
             contravariant-1.4.1-13GQTLKwlDGjgc4QL8uyp=d03fb164c8034777ff5b0827082d2495
             contravariant-extras-0.3.3.1-BVNbyTNAeVrACExO54I6tj=198db60345043feea8e37e9ce3bf7a4f
             semigroups-0.18.3-3aCIuYG4ID286XaN6MuQu7=d64b81e3ed8022aca04423ee7b330679
             semigroupoids-5.2.2-6gyDXeDCUP0EyLlIzFD0yC=6a2158de4030a7102bc33e2f5f7a8e7b
             deepseq-1.4.3.0=e843b5d736cc095915bf2399fddf152e
             transformers-0.5.2.0=b5dee110a615d751493b7ce1c6f95946
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=a1f89647d7228db4bf59b7aaec52e888
             either-5-7fWZezLWmkr615wDor4Yxh=835b4dc348555605d9c56dc5bbefd80f
             base-prelude-1.2.0.1-Jp4fn0lH8rP2DHoIPVF2qm=3e78347d5a15e89f4fb1084b18368182
             base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
haddock-interfaces: /usr/share/doc/haskell-rebase/html/rebase.haddock
haddock-html: /usr/share/doc/haskell-rebase/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

